Loading...
Searching...
No Matches
bsoncxx::types Namespace Reference

## Description

Declares entities representing BSON value types.

## Namespaces

namespace | bson_value
| Declares entities representing any BSON value type.

## Classes

struct | b_array
| A BSON array value. More...
struct | b_binary
| A BSON binary data value. More...
struct | b_bool
| A BSON boolean value. More...
struct | b_code
| A BSON JavaScript code value. More...
struct | b_codewscope
| A BSON JavaScript code with scope value. More...
struct | b_date
| A BSON date value. More...
struct | b_dbpointer
| A BSON DBPointer (aka DBRef) value. More...
struct | b_decimal128
| A BSON Decimal128 value. More...
struct | b_document
| A BSON document value. More...
struct | b_double
| A BSON double value. More...
struct | b_int32
| A BSON signed 32-bit integer value. More...
struct | b_int64
| A BSON 64-bit signed integer value. More...
struct | b_maxkey
| A BSON max-key value. More...
struct | b_minkey
| A BSON min-key value. More...
struct | b_null
| A BSON null value. More...
struct | b_oid
| A BSON ObjectId value. More...
struct | b_regex
| A BSON regex value. More...
struct | b_string
| A BSON UTF-8 encoded string value. More...
struct | b_symbol
| A BSON Symbol value. More...
struct | b_timestamp
| A BSON replication timestamp value. More...
struct | b_undefined
| A BSON undefined value. More...

## Typedefs

using | binary_subtype
| Equivalent to bsoncxx::v_noabi::binary_sub_type.
using | id
| Equivalent to bsoncxx::v_noabi::type.
using | value
| Equivalent to bsoncxx::v_noabi::types::bson_value::value.
using | view
| Equivalent to bsoncxx::v_noabi::types::bson_value::view.

## Functions

bool | operator!= (b_double const &lhs, b_double const &rhs)
| free function comparator for b_double
bool | operator== (b_double const &lhs, b_double const &rhs)
| free function comparator for b_double

## Typedef Documentation

## binary_subtype

using bsoncxx::v_noabi::types::binary_subtype

Equivalent to bsoncxx::v_noabi::binary_sub_type.

To support incremental migration to bsoncxx::v1::types::binary_subtype.

## id

using bsoncxx::v_noabi::types::id

Equivalent to bsoncxx::v_noabi::type.

To support incremental migration to bsoncxx::v1::types::id.

## value

using bsoncxx::v_noabi::types::value

Equivalent to bsoncxx::v_noabi::types::bson_value::value.

To support incremental migration to bsoncxx::v1::types::value.

## view

using bsoncxx::v_noabi::types::view

Equivalent to bsoncxx::v_noabi::types::bson_value::view.

To support incremental migration to bsoncxx::v1::types::view.

## Function Documentation

## operator!=()

bool operator!= | ( | b_double const & | lhs,
|  | b_double const & | rhs )

inline

free function comparator for b_double

## operator==()

bool operator== | ( | b_double const & | lhs,
|  | b_double const & | rhs )

inline

free function comparator for b_double